Pricing widgets
Embeddable widgets showing the prices of a unit
The pricing widget object
Attributes
iduuidcreated_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
color_backgroundtextBackground color of the widget
color_primarytextPrimary color of the widget
color_texttextText color of the widget
fonttext | nullFont of the widget
ftsread-onlytsvectorlanguageLanguageLanguage of the widget
show_brandingbooleanWhether to show the Bookingmood branding
titletextTitle of the widget
Related resources
Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"font": "",
"language": "en-US",
"show_branding": true,
"title": "Summer cottage"
}curl -X GET "https://api.bookingmood.com/v1/pricing_widgets?limit=10&select=*,organizations(*),products(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List pricing widgets
Filters
idFilter<uuid>created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
color_backgroundFilter<text>Background color of the widget
color_primaryFilter<text>Primary color of the widget
color_textFilter<text>Text color of the widget
fontFilter<text | null>Font of the widget
ftsFilter<tsvector>languageFilter<Language>Language of the widget
show_brandingFilter<boolean>Whether to show the Bookingmood branding
titleFilter<text>Title of the widget
Responses
200A list of pricing widgets with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /pricing_widgetscurl -X GET "https://api.bookingmood.com/v1/pricing_widgets?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"font": "",
"language": "en-US",
"show_branding": true,
"title": "Summer cottage"
}
]Create pricing widgets
Body
Partial<PricingWidget> | Array<Partial<PricingWidget>>Read-only attributes are set by the database and can't be written.
Responses
201The newly created pricing widgets with the selected columns
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.POST /pricing_widgetscurl -X POST "https://api.bookingmood.com/v1/pricing_widgets" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"language": "en-US",
"organization_id": "00000000-0000-0000-0000-000000000000",
"show_branding": true,
"title": "Summer cottage"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"font": "",
"language": "en-US",
"show_branding": true,
"title": "Summer cottage"
}
]Delete pricing widgets
Filters
Without filters, this request deletes all pricing widgets you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
color_backgroundFilter<text>Background color of the widget
color_primaryFilter<text>Primary color of the widget
color_textFilter<text>Text color of the widget
fontFilter<text | null>Font of the widget
ftsFilter<tsvector>languageFilter<Language>Language of the widget
show_brandingFilter<boolean>Whether to show the Bookingmood branding
titleFilter<text>Title of the widget
Responses
200The deleted pricing widgets with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
code, message, details and hint. See the introduction for more on errors.DELETE /pricing_widgetscurl -X DELETE "https://api.bookingmood.com/v1/pricing_widgets?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"font": "",
"language": "en-US",
"show_branding": true,
"title": "Summer cottage"
}
]Update pricing widgets
Filters
Without filters, this request updates all pricing widgets you have access to. Always filter on at least one column, e.g. id=eq.{id}.
idFilter<uuid>created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
color_backgroundFilter<text>Background color of the widget
color_primaryFilter<text>Primary color of the widget
color_textFilter<text>Text color of the widget
fontFilter<text | null>Font of the widget
ftsFilter<tsvector>languageFilter<Language>Language of the widget
show_brandingFilter<boolean>Whether to show the Bookingmood branding
titleFilter<text>Title of the widget
Body
Partial<PricingWidget>Read-only attributes are set by the database and can't be written.
Responses
200The updated pricing widgets with the selected columns. Returns 204 without a body when sending the header Prefer: return=minimal.
400The request is malformed, for example an unknown column, an invalid filter or an invalid body.
401The API key is missing or invalid.
403The API key has no permission for this change, for example when writing rows of another organization.
409The change conflicts with existing data, for example a duplicate key or a reference to a row that does not exist.
code, message, details and hint. See the introduction for more on errors.PATCH /pricing_widgetscurl -X PATCH "https://api.bookingmood.com/v1/pricing_widgets?id=eq.00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"color_background": "#fff"
}'[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"product_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T23:40:34.365Z",
"updated_at": "2026-10-30T23:40:34.365Z",
"color_background": "#fff",
"color_primary": "#067f54",
"color_text": "#000",
"font": "",
"language": "en-US",
"show_branding": true,
"title": "Summer cottage"
}
]